> ## Documentation Index
> Fetch the complete documentation index at: https://modulate.aurorapayments.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List Merchants

> Paginated list of merchants in the partner's portfolio with filtering and sorting.



## OpenAPI

````yaml GET /api/partner/merchants
openapi: 3.0.3
info:
  title: Partner API
  description: External API for ISO partners to access merchant data, pricing, and reports
  version: 0.1.0
servers: []
security: []
paths:
  /api/partner/merchants:
    get:
      tags:
        - Merchants
        - Merchants
      summary: List merchants
      description: >-
        Paginated list of merchants in the partner's portfolio with filtering
        and sorting.
      operationId: list_merchants_api_partner_merchants_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
          example: 1
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Items per page
            default: 25
            title: Page Size
          description: Items per page
          example: 25
        - name: status
          in: query
          required: false
          schema:
            type: string
            pattern: ^(active|closed|terminated)$
            description: Filter by merchant status
            title: Status
            nullable: true
          description: Filter by merchant status
        - name: search
          in: query
          required: false
          schema:
            type: string
            maxLength: 200
            description: Search by DBA name or merchant ID
            title: Search
            nullable: true
          description: Search by DBA name or merchant ID
        - name: updated_since
          in: query
          required: false
          schema:
            type: string
            format: date-time
            description: ISO-8601 timestamp for incremental sync
            title: Updated Since
            nullable: true
          description: ISO-8601 timestamp for incremental sync
        - name: sort_by
          in: query
          required: false
          schema:
            type: string
            pattern: ^(dba_name|merchant_id|status|onboarding_date|state)$
            description: Sort field
            default: dba_name
            title: Sort By
            nullable: true
          description: Sort field
        - name: sort_order
          in: query
          required: false
          schema:
            type: string
            pattern: ^(asc|desc)$
            description: Sort direction
            default: asc
            title: Sort Order
            nullable: true
          description: Sort direction
        - name: compliance_status
          in: query
          required: false
          schema:
            type: string
            pattern: ^(compliant|non_compliant|not_started)$
            description: Filter by PCI compliance status
            title: Compliance Status
            nullable: true
          description: Filter by PCI compliance status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '401':
          description: Missing or invalid API key
        '403':
          description: Insufficient scope
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
        '503':
          description: Merchant data source unavailable
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````